#ifndef SSLCERTDLG_H
#define SSLCERTDLG_H

#include"ui_sslcert.h"
#include<qvaluelist.h>
#include<qca.h>

class SSLCertDlg : public SSLCertUI
{
	Q_OBJECT
public:
	SSLCertDlg(QWidget *parent=0, const char *name=0);

	void setCert(const QCA::Cert &, int result);

	static void showCert(const QCA::Cert &, int result);

private:
	QString makePropTable(const QString &heading, const QCA::CertProperties &props);
};

#endif
